Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Correct logic error in setup.py re unitest2 inclusion #182

Merged
merged 1 commit into from

2 participants

@michaelplaing

'or' should be 'and'

@gmr gmr merged commit 4cbc6e7 into pika:master
@gmr
Owner
gmr commented

Thanks for the fix

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
This page is out of date. Refresh to see the latest.
Showing with 1 addition and 1 deletion.
  1. +1 −1  setup.py
View
2  setup.py
@@ -10,7 +10,7 @@
# Conditional include unittest2 for versions of python < 2.7
tests_require=['nose', 'mock']
platform_version = list(platform.python_version_tuple())[0:2]
-if platform_version[0] != '3' or platform_version != ['2', '7']:
+if platform_version[0] != '3' and platform_version != ['2', '7']:
tests_require.append('unittest2')
long_description = ('Pika is a pure-Python implementation of the AMQP 0-9-1 '
Something went wrong with that request. Please try again.